%global moduledir %(pkg-config xorg-server --variable=moduledir )
%global driverdir %{moduledir}/drivers

# Xorg cannot load hardened build
%undefine _hardened_build

Name:   xorg-x11-drv-amdgpu
Version: 23.0.0
Release: 1

Summary: AMD GPU video driver
License: MIT

URL:        https://www.x.org/wiki
Source:     https://www.x.org/archive/individual/driver/xf86-video-amdgpu-%{version}.tar.xz

BuildRequires: make
BuildRequires: xorg-x11-server-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: libdrm-devel
BuildRequires: kernel-headers
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: libudev-devel
BuildRequires: xorg-x11-glamor-devel

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)
Requires: libdrm >= 2.4.89

%description
X.Org X11 AMDGPU driver

%prep
%autosetup -p1 -n xf86-video-amdgpu-%{version}

%build
%configure --disable-static --enable-glamor
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
%ldconfig_scriptlets

%files
%{driverdir}/amdgpu_drv.so
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf
%{_mandir}/man4/amdgpu.4*

%changelog
* Tue Jul 18 2023 niuyaru <niuyaru@kylinos.cn> - 23.0.0-1
- Update package to version 23.0.0

* Tue Dec 13 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 22.0.0-2
- undefine _hardened_build , partially enable lazybinding to avoid driver loading failure on xorg 

* Thu Sep 01 2022 liuxinhao <liuxinhao@kylinsec.com.cn> - 22.0.0-1
- Package init
